﻿using System.Text.Json;

namespace MycroForge.CLI;

public static class Shared
{
    public static class DefaultJsonSerializerOptions
    {
        public static readonly JsonSerializerOptions Default = new()
        {
            PropertyNamingPolicy = JsonNamingPolicy.CamelCase
        };
        
        public static readonly JsonSerializerOptions CamelCasePrettyPrint = new()
        {
            PropertyNamingPolicy = JsonNamingPolicy.CamelCase,
            WriteIndented = true
        };
    }
}